<template>
<div>
  <div class="box">
    <div >
      <h3>Izaberite mjesec i godinu</h3>
      <date-picker v-model="dates" lang="en" type="month" format="YYYY-MM-Z">
      </date-picker>
      <button @click="format()">Potvrdite datum</button>
      </div>
    <br><br>
    <div>
      <label for="section">Section:</label>
      <select
        @change="onChange($event)"
        name="section"
        id="section"
        v-model="selectedSection"
      >
        <option value="default" selected="selected" disabled>Choose</option>
        <option v-for="(section, index) in sections" v-bind:key="index">
          {{ section }}
        </option>
      </select>
    </div>
    <div>
      <label for="subsection">Subsection:</label>
      <select
      v-model="selectedSubcection"
        name="subsection"
        id="subsection"
      >
        <option value="default" selected="selected" disabled></option>
        <option v-for="(subsection, index) in subsections" v-bind:key="index">
          {{ subsection }}
        </option>
      </select>
    </div>
  </div>
<br>
<br>
  <chart :datum="dates" :sec="selectedSection" :subSec="selectedSubcection"></chart>
  </div>
</template>
<script>
import DatePicker from "vue2-datepicker";
import "vue2-datepicker/index.css";
import Axios from "axios";
import"../assets/normalize.css";
import"../assets/skeleton.css";
import chart from './chart1.vue'

export default {
  name: "datepicker",
  components: {
    DatePicker,chart,
  },
  watch: {
    dates(newvalue) {
      console.log(newvalue);
    },
  },
  data() {
    return {
      dates: "",
      list: [],
      test:"2019-01-15",
      sections:[],
        selectedSection:"default",
        selectedSubcection:"",
      newdate: "",
      subsections:[],
    };
  },
  methods: {
    format() {
      this.newdate = this.dates;
      console.log(this.newdate, typeof(this.newdate));
      Axios.post("http://127.0.0.1:8000/articles/sections/", {
        date: this.newdate,
      })
      .then((resp) =>{
        this.sections = resp.data.sections;
        console.log(this.sections)
    }) ;
    },
    onChange(event){
            Axios.post("http://127.0.0.1:8000/articles/section/subsections/",{
                date: this.test,
                section: this.selectedSection
            }).then((resp)=>{
                this.subsections = resp.data.subsections;
                console.log(this.subsections)
            })
  },
}};
</script>
<style scoped>
*{
    box-sizing: border-box;
}
.box {
  display: block;

  }
</style>







